> For the complete documentation index, see [llms.txt](https://docs.hyper-space.io/hyperspace-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/bool-queries/match-clause.md).

# 'match' Clause

The 'match' clause allows you to match values such as text,  dates, numerical and Boolean values.&#x20;

This query is the standard query for full text search.

**Example 1-**

```json
{
  "query": {
    "bool": {
      "match": {
          "query": "free text for search" 
        }
    }
  }
}
```

In the above example, the text "free text for search" will be stemmed and parsed, and the resulting keywords will be matched with documents.

**Example 2-**

```json
{
  "query": {
    "bool": {
      "match": {
          "species": "Asian Koel" 
        }
    }
  }
}
```

In the above example, documents with the field "species" and the value "Asian Koel" under this field will be returned. The text "Asian Koel" will not be stemmed nor normalized.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/bool-queries/match-clause.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
